package com.example.jhpapp.utils;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.PixelFormat;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.widget.ImageView;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import java.io.ByteArrayOutputStream;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;

/**
 * 工具类
 */
public class ToolsUtil {


    /**
     * @Summary 获取一个json对象
     * @param JsonString 一个json格式的字符串
     * @return  正常返回一个json对象 异常返回 null
     */
    public static  synchronized  JSONObject  getJsonObject(String JsonString)
    {
        JSONObject jsonObject = null;
        try {
            JsonString = getJsonStrFromNetData(JsonString);
            JSONArray entries = new JSONArray(JsonString);
            if(entries.length() > 0 )
            {
                jsonObject = entries.getJSONObject(0);
            }
            return jsonObject;
        } catch (JSONException e) {
            e.printStackTrace();
            return null;
        }
    }

    /**
     * @summary 去除非Json的字符串部分
     * @param jsonString 包含Json字符串的数据
     * @return json字符串
     */
    public static  synchronized String getJsonStrFromNetData(String jsonString)
    {
        int first = jsonString.indexOf("[");
        int last = jsonString.lastIndexOf("]");
        String result = "";
        if (last > first) {
            result = jsonString.substring(first, last + 1);
        }
        return result;
    }
}
